BorderRepeat (JavaFX 17)

Module javafx.graphics
Package javafx.scene.layout

## Enum BorderRepeat

- java.lang.Object
- - java.lang.Enum<BorderRepeat>
  - - javafx.scene.layout.BorderRepeat

- All Implemented Interfaces:
    `Serializable`, `Comparable<BorderRepeat>`

      public enum BorderRepeat
      extends Enum<BorderRepeat>

  Enum indicating the repetition rules for border images.
  Since:
    JavaFX 8.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `REPEAT` | The image is tiled (repeated) to fill the area.
    `ROUND` | The image is tiled (repeated) and rescaled (if necessary) to fill the area with a whole number of tiles.
    `SPACE` | The image is tiled (repeated) to fill the area with a whole number of tiles, and any extra space is distributed around the tiles.
    `STRETCH` | The image is stretched to fill the area.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BorderRepeat` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static BorderRepeat[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods declared in class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods declared in class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRETCH

          public static final BorderRepeat STRETCH

      The image is stretched to fill the area.

    - #### REPEAT

          public static final BorderRepeat REPEAT

      The image is tiled (repeated) to fill the area.

    - #### ROUND

          public static final BorderRepeat ROUND

      The image is tiled (repeated) and rescaled (if necessary) to fill the area with a whole number of tiles.

    - #### SPACE

          public static final BorderRepeat SPACE

      The image is tiled (repeated) to fill the area with a whole number of tiles, and any extra space is distributed around the tiles.

  - ### Method Detail

    - #### values

          public static BorderRepeat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BorderRepeat c : BorderRepeat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BorderRepeat valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null